Trouble Shooting

This file is used for DSO-XXXX USB series instruments.

For example: DSO-2090 USB


If the DSO instrument does not work, the possible causes are:

1. The instrument is not connected to USB.

2. The driver is not found.

3. The driver is wrong.

Firstly make sure that the instrument is connected to PC!

If the instrument does not work, please connect the instrument to your PC and do the following items.

If the driver is right, the system will display:

Method 1: Update Driver

Now, Click “DSO-2090 USB DRIVER 1” OR “DSO-2090 USB DRIVER 2” with right button of mouse. Then click “Properties”.

Select “Search for suitable driver for my device (recommended)”.Then click “Next”.

Select “CD-ROM driver” and “Specify a location”. Click “Browse” and select the curect driver path. Then click “Next”.

Waiting…then find location of driver. Click “Next”.

DSO-2090 USB DRIVER 1 has finished installation.

DSO-2090 USB DRIVER 2 will be installed automatically after driver 1.

If “DSO-2090 USB DRIVER 2” is not installed automatically, you can do the following:

Open “Device Manager” and “Update Driver” again.

If the following image displays:

Now click “Browse”, select the Driver file “DSO20901.SYS” Or “DSO20902.SYS”. Then click “OK”.

Click “OK”.

“DSO-2090 USB DRIVER 2” is installing.

Method 2: Uninstall wrong driver and install right driver.

If you want to install the driver again or uninstall the driver, please see the following:

Click “My Computer” with right mouse button. Then click “Properties” with left mouse button.

Select “Hardware” and click “Device Manager”.

Select “DSO-2090 USB DRIVER 2” and click with right mouse button. Then click “Uninstall”.

Click “OK”.

Click “My Computer->Tools ->Folder options…”.

Set options like the following image:

Open “C:\WINDOWS\INF\OTHER”. Choose “ODM dso2090 usb.inf” and delete it.

Open “C:\WINDOWS\system32\drivers”.

Select “DSO20901.SYS” and “DSO20902.SYS”.Then delete them.

Click “Start” and “Run”.

Input “regedit”. Click “OK”.

Registry Editor displays.

Open “Edit->find”. Then input “04b4”.

Find “VID_04B4&PID_2090”, see “Note” in the following image.

Delete the result found.

Restart your computer!

Connect the instrument to PC port again.

Now you can install the new driver.


If the DSO instrument does not work, the possible causes are:

1. The instrument is not connected to USB.

2. The driver is not found.

3. The driver is wrong.

Firstly make sure the instrument connected to PC!

If the instrument does not work, please connect the instrument to your PC and do the following items.

If the driver is right, the system will display:

Next three images show that the driver is not installed successfully.

Method 1: Update Driver

Now, you can click “Update Driver…” and install the right driver.

Choose “Search for suitable driver for my device (recommended)”.Then click “Next”.

Choose “CD-ROM drivers” or “Specify a location”. Then click “Next”.

Waiting…

Find “g:\driver\dso2090usb.inf”. Then click “Next”.

Installing…

DSO-2090 USB DRIVER 1 has finished installation.

The installation process of “DSO-2090 USB DRIVER 2” is the same to DRIVER1.

Method 2: Uninstall wrong driver and install right driver.

If you want to install the driver again or uninstall the driver, please see the following:

Click “My Computer” with right mouse button. Then click “Properties” with left mouse button.

Select “Hardware” and click “Device Manager”.

Select “DSO-2090 USB DRIVER 2” and click with right mouse button. Then click “Uninstall”.

Click “OK”.

Click “My Computer->Tools ->Folder options…”.

Set options like the following image:

Open “C:\WINNT\inf”.

Select the files whose name start with “oem” and delete them. For example:”oem0.inf”.

If your instrument is DSO2100/220 USB, please also select “driver.inf” and delete it!

Open “C:\WINNT\system32\drivers”.

Select “DSO20901.SYS” and “DSO20902.SYS”.Then delete them.

Open “Device Manager” and uninstall “DSO-2090 USB DRIVER 1”

Connect the instrument to PC port again.

Now you can install the new driver.


If the DSO instrument does not work, the possible causes are:

1. The instrument is not connected to USB.

2. The driver is not found.

3. The driver is wrong.

Firstly make sure the instrument connected to PC!

If the instrument does not work, please connect instrument to your PC and do the following items.

If the driver is right, the system will display:

Next four images show that the driver is not installed successfully.

Method 1: Update Driver

Now, you can click “Update Driver…” and install right driver. Then click “Next”.

Select the driver path

If dirver1 is wrong, then “DSO-2090 USB DRIVER 1” will be installed.

If driver2 is wrong, then “DSO-2090 USB DRIVER 2” will be installed.

Now, the driver is updated successfully.

Method 2: Uninstall wrong driver and install right driver.

If you want to install the driver again or uninstall the driver, please see the following:

Click “My Computer” with right mouse button. Then click “Properties” with left mouse button.

Select “Hardware” and click “Device Manager”.

Select “DSO-2090 USB DRIVER 2” and click with right mouse button. Then click “Uninstall”.

Click “OK”.

Click “My Computer->Tools ->Folder options…”,

Set options like the following image:

Open “C:\WINDOWS\inf”.

Select then files whose name start with “oem” and delete them. For example:”oem0.inf”.

If your instrument is DSO2100/220 USB, please also select “driver.inf” and delete it!

Open “C:\WINDOWS\system32\drivers”.

Select “DSO20901.SYS” and “DSO20902.SYS”.Then delete them.

Open “Device Manager” and uninstall “DSO-2090 USB DRIVER 1”

Connect the instrument to PC port again.

Now you can install the new driver. See in help file!


DSO-2090 USB INSTALLATION UNDER Windows VISTA

DSO-XXXX USB INSTALLATION UNDER Windows VISTA

For example: DSO-2090 USB

Software Installation

1. Insert the DSO-2090 USB installation CD into the CD-ROM drive.

2. The installation should start up automatically. Otherwise in Windows Explorer, switch to the CD-ROM drive and run ‘Setup.exe’.

3. The DSO-2090 USB Installation is started. Click 'Next' to continue.

4. Choose a destination directory. Click 'Next' to continue.

5. Check the setup information. Click Next to start copying of files.

6. This status dialog is displayed during copying of files.

7. The installation is completed.

8. Updating System Configuration

Driver Installation

1. Connect the DSO-2090 USB to your PC.

2. New hardware is found. Click” Locate and install driver software (recommended)”.

3. New hardware search wizard starts. Windows can not find driver software for your device.

4. Click” Browse my computer for driver software”.

5. Specific the path of driver or CD. Then click “Next”.

6. Click” Install this driver software anyway”.

7. Installing driver software.

8. DSO-2090 USB driver1 has been successfully installed. Click “Close”.

9. Please wait for a while, DSO-2090 USB dirver2 will be installed automatically.

10. The device driver is installed successfully and your device is ready to use.

11. Run”DSO-2090 USB”. The software installation is OK.


If the DSO instrument does not work, the possible causes are:

1. The instrument is not connected to USB.

2. The driver is not found.

3. The driver is wrong.

Firstly make sure the instrument connected to PC!

If the instrument does not work, please connect the instrument to your PC and do the following items. If the driver is right, the system will display:

Method 1: Update Driver

Open “Device Manager” and see the driver is right or not.

If the driver is wrong, please update the driver!

Select the driver path, click “Next”.

Click “Install this driver software anyway”.

Installing driver software…

DSO-2090 USB DRIVER1 has been successfully installed.

DSO-2090 USB DRIVER 2 will be installed automatically.

Then device driver is installed successfully.

Now your device is ready to use.

Method 2: Install the driver again.

Connect instrument to PC port.

Open “Device Manager” again.

Select “DSO-2090 USB DRIVER 2” and click “Uninstall”.

Click “OK”.

Open “C:\WINDOWS\inf”.

Select then files whose name start with “oem” and delete them. For example:”oem0.inf”.

If your instrument is DSO2100/220 USB, please also select “driver.inf” and delete it!

Open “C:\WINDOWS\System32\drivers”.

Select “DSO20901.SYS” and “DSO20902.SYS”. Then delete them.

Open “Device Manager” and uninstall “DSO-2090 USB DRIVER 1”.

Connect the instrument to PC port again.

Now you can install the new driver!